#!/usr/bin/sh

#
# Copyright (C) 2003 by Mark Roth
#
# This program is free software; you can redistribute it and/or 
# modify it under the terms of the GNU General Public License as 
# published by the Free Software Foundation; either version 2 of the 
# License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful, 
# but WITHOUT ANY WARRANTY; without even the implied warranty of 
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the 
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License 
# along with this program; if not, write to the Free Software 
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
#

#
# Wrapper script for Lexmark X125 Printer Driver
# Author: Mark Roth
#
# Arguments:
#   <papersize> <hdpi> <device> <colormode> <bidi>
gs -q -dBATCH -dPARANOIDSAFER -dQUIET -dNOPAUSE -sDEVICE=bitcmyk -sPAPERSIZE=$1 -r$2x600 -sOutputFile=- - | `dirname $0`/x125_cmyk size=$1 hdpi=$2 device=$3 mode=$4 bidi=$5
